#include <stdio.h>
#include <iostream>
#include "Common/CppSQLite3.h"

#pragma comment(lib, "sqlite3.lib")

void main()
{
#if  1
	// DB 
	const char* dbfile = "customer.db";
#else
	//޸ DB 
	const char* dbfile = ":memory:";
#endif

	int ret = 0; 
	CppSQLite3DB	db;

	db.open(dbfile);
	// ̺ 
	ret = db.execDML(" CREATE TABLE tbl_customer( NumIndex int NOT NULL, Name varchar(32), Age smallint );");
	
	//  INSERT
	char query[256];
	sprintf_s(query, 256, "INSERT INTO tbl_customer( NumIndex, Name, Age ) Values( 1, 'Kim dong su', 20);" );
	ret = db.execDML(query);
	sprintf_s(query, 256, "INSERT INTO tbl_customer( NumIndex, Name, Age ) Values( 2, 'Kim tea hee', 30);" );
	ret = db.execDML(query);

	// SELECT
	CppSQLite3Query q = db.execQuery("SELECT NumIndex, Name, Age FROM tbl_customer");
	while (!q.eof())
	{
		std::cout << q.fieldValue(0) << " | ";
		std::cout << q.fieldValue(1) << " | ";
		std::cout << q.fieldValue(2) << " | " << std::endl;
		q.nextRow();
	}

	db.close();
}